Summary:	Advanced tail
Summary(pl.UTF-8):	Rozbudowany tail
Name:		multitail
Version:	6.4.2
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://www.vanheusden.com/multitail/%{name}-%{version}.tgz
# Source0-md5:	a0959f7b2385061080712afd8ae6e33d
URL:		http://www.vanheusden.com/multitail/
BuildRequires:	ncurses-ext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
multitail lets you view one or multiple files like the original tail
program. The difference is that it creates multiple windows on your
console (with ncurses). It can also use colors while displaying the
logfiles, for faster recognition of which lines are important and
which are not. It supports regular expressions. It has interactive
menus for editing given regular expressions and deleting and adding
windows.

%description -l pl.UTF-8
multitail pozwala oglądać jeden lub więcej plików podobnie jak
oryginalny program tail. Różnica jest taka, że tworzy wiele okien na
terminalu (z użyciem ncurses). Może także używać kolorów przy
wyświetlaniu plików logów w celu szybszego odróżnienia, które linie są
ważne, a które nie. Obsługuje wyrażenia regularne. Ma interaktywne
menu do edycji podanych wyrażeń regularnych oraz usuwania i dodawania
okien.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-DLinux -DVERSION=\\\"%{version}\\\" -Wall %{rpmcflags} -I/usr/include/ncurses -DCONFIG_FILE=\\\"%{_sysconfdir}/%{name}.conf\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}

install multitail $RPM_BUILD_ROOT%{_bindir}
install multitail.1 $RPM_BUILD_ROOT%{_mandir}/man1
install multitail.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.txt manual.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Fri Nov 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/multitail.git;a=log;h=master

* Thu Nov 19 2015 Jan Palus <atler@pld-linux.org> 4d7f8a5
- up to 6.4.2

* Sun Mar 01 2015 Jan Palus <atler@pld-linux.org> ccc9b3a
- up to 6.4.1

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> ce8eb59
- up to 6.2.1

* Sat Dec 07 2013 Jan Palus <jan.palus@gmail.com> 48c2881
- up to 6.0

* Sun Sep 15 2013 Jan Palus <jan.palus@gmail.com> e2ee36b
- up to 5.2.13

* Sun Feb 03 2013 Jan Palus <jan.palus@gmail.com> 2743dc0
- up to 5.2.12

* Thu Dec 06 2012 Adam Gołębiowski <adamg@pld-linux.org> 53ed6a4
- updated to 5.2.10

* Fri Feb 17 2012 Kacper Kornet <draenog@pld-linux.org> 81be61f
- up to 5.2.9

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 768cdc7
- release 2

* Sat Feb 20 2010 Adam Gołębiowski <adamg@pld-linux.org> d85de56
- updated to 5.2.6

* Tue Feb 16 2010 Adam Gołębiowski <adamg@pld-linux.org> 336ebbe
- updated to 5.2.5

* Thu May 22 2008 Adam Gołębiowski <adamg@pld-linux.org> de2e495
- updated to 5.2.2

* Sat Feb 02 2008 piotrek <piotrek@pld-linux.org> 8ba41a5
- updated to 5.2.0

* Sat Jun 23 2007 Adam Gołębiowski <adamg@pld-linux.org> cfa9774
- updated to 5.1.1

* Mon Jun 11 2007 Elan Ruusamäe <glen@pld-linux.org> f59830d
- update to 5.0.5

* Sun May 06 2007 Adam Gołębiowski <adamg@pld-linux.org> 1eb9e88
- updated to 5.0.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5863d86
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 52bc2de
- converted to UTF-8

* Sun Sep 10 2006 Adam Gołębiowski <adamg@pld-linux.org> 66cbb76
- updated to 4.2.0

* Wed Jul 12 2006 Adam Gołębiowski <adamg@pld-linux.org> 4c8153a
- updated to 4.1.0

